WordPress.org

Ready to get started?Download WordPress

Forums

[closed] Getting error "Warning! Problem updating " (12 posts)

  1. Romik84
    Member
    Posted 4 years ago #

    Hello,

    I am getting error after I upgraded from version MU 2.9.2 to 3.0.1. When I hit the button Update Network, it updates fellow blogs and then stop to update and writes "Warning! Problem updating . Your server may not be able to connect to sites running on it. Error message: A valid URL was not provided."

    How may I fix this? Thanks.

  2. Find out what blog it stopped on. Go see if that blog has any errors or problems.

    usually when it stops like this, the blog is generating some sort of error.

  3. Caroline
    Member
    Posted 3 years ago #

    I was having a hard time figuring out what blog my upgrade process had stopped on, since WP wasn't telling me. Everything I found on the internet said it would go through the blogs in order, but that clearly wasn't the case.

    With a bit of sleuthing in my database, I realized it was going through the blogs in reverse order - the most recently created were being updated first.

    When I visited the blogs, I got a "database connection error" message. When I tried to visit the blogs' wp-admin pages, I was told that I needed to repair the database tables. When I told WP to do that, it turned up three blogs (one at a time) that were missing all of their database tables. (I have no idea why.) Once I deleted the references to those blogs in the wp_blogs table, my upgrade proceeded smoothly.

    I hope that information helps someone else out there! I had a beast of a time finding any information on this problem.

  4. I was having a hard time figuring out what blog my upgrade process had stopped on, since WP wasn't telling me.

    well, it flashes a list of five or ten at a time on the screen.

  5. djsteve
    Member
    Posted 3 years ago #

    I am getting the same error - ( Warning! Problem updating . Your server may not be able to connect to sites running on it. Error message: A valid URL was not provided. )upgrading from 2.9.2 wpmu to the 3.03 wordpress. I archive a blog the last blog updated and rerun the update blogs - and it goes tot he next one and gets the same error. the blogs are fine (display fine and backend looks normal).

    I wonder if this has anything to do with the:
    define('DB_CHARSET', 'utf8');
    added into the wp-config - since this is an old wpmu that has been upgraded multiple versions - several versions ago we had a bunch of funny symbols in the posts after upgrade - and adding the utf8 was the suggested fix - could this be causing the problem?
    I have already run a check and repair on the database itself.

    I would wonder if I did the htaccess fix for the 3.0 upgrade properly - but it seems to run the update for the first 100 or so blogs just fine. All the blogs display properly when visiting, and images are there. Perplexed as to what to do.

  6. you may have to upgrade manually. which is easy enough - just upload new wordpress files.

  7. djsteve
    Member
    Posted 3 years ago #

    i went ahead and uploaded the files through ftp again - but yeah, this was with a manual upgrade, still having the issues - even followed the advice of:
    http://developersmind.com/2010/05/12/upgrading-wordpress-mu-2-9-2-to-wordpress-3-0-beta-with-multisite/
    and
    wpmu tutorials - since it's such a change..

    Still getting the error. Renamed mu-plugins and don't have any other plugins running other than brand my loging - which I do not think will affect it - very strange to get this error with 2.9.2 going to 3.03

  8. Upload the files for 3.0, then do 3.0.3.

  9. djsteve
    Member
    Posted 3 years ago #

    thank you so much for your help and advice Andrea - here and everywhere else around WP.

    I deleted the wp-admin and wp-includes, and overwrote all the files with wp 3.0 - did the network upgrade, and it still came up with an error - although it now says malformed:

    Warning! Problem updating . Your server may not be able to connect to sites running on it. Error message: malformed

    I have tried deleted the line from my wp-config -

    define('DB_CHARSET', 'utf8');

    and running it that way - and no luck. It still gets through about 150 of the blogs and then errors. I archive the 3 or 4 blogs around when it errors - it skips those - and then errors on the next ones.

    this is an wpmu that was started in 2006 - and as been through several upgrades, this move from 2.9.2 to 3.0 is a struggle.
    I've had my host check error logs and there seems to be no error reporting from wordpress. I'm totally lost now.

  10. It doesn't mean you're not fully upgraded.

    Go back to the Update screen, and note what blog it stops on. Visit the admin area of that blog. You'll find errors there, or they will magically sort themsevles out.

    Also, if you look at the URL strings in the update screen, you can edit them in the browser window to skip over the ones it stopped at so it can keep going.

    Additionally, that upgrade process will also be run on skipped blogs as soon as someone logs into the admin area of the site.

    So.... if it's just on this update screen where you get errors and the site works fine, you're done.

  11. sharessat
    Member
    Posted 3 years ago #

    Has anyone seen this error before?

    Deletion Error: Table 'sharessa_wrdp1.wp_23_options' doesn't exist - The template was not applied. (New Blog Templates - While removing auto-generated settings)

    I tried to deactivate the New Blog Templates plugin and try to add another site but when I add it and click on the backend link for the new site. It takes me to the dashboard of my default site. Any ideas as to why this is happening?

  12. sharessat - Please make a NEW post. This is not related.

    Oh wait, you DID - http://wordpress.org/support/topic/unable-to-add-new-blog-any-ideas?replies=8

    Please don't post the same request in multiple topics. We call that spamming. It's rude and makes it HARDER for us to help you.

Topic Closed

This topic has been closed to new replies.

About this Topic